#! /bin/sh

fail() {
  echo ""
  echo "Installation FAILED!"
  echo ""
  echo "Sorry, but installer was not able to properly install all needed"
  echo "wrappers on your system.  Before retrying installation make sure"
  echo "that you are logged in as root, and you have enough disk space"
  echo "on your /usr partition."
  echo ""
}

trap fail EXIT

set -e

# If we have /usr/lib64 directory, use it for 64bit libraries.
# If it does not exist, or if it is symlink, install it to /usr/lib/x86_64.
LIB32=/usr/lib
if [ -d /usr/lib64 -a ! -L /usr/lib64 ]
then
   LIB64=/usr/lib64
else
   LIB64=/usr/lib/x86_64
fi

# 32bit libraries
install -c -d -m 755 $LIB32
install -c -m 4444 32/libvmdsp.so $LIB32/libvmdsp.so
for a in libvmdsp_esd.so libvmdsp_arts.so
do
  install -c -m 644 32/$a $LIB32/$a
done

# 64bit libraries
install -c -d -m 755 $LIB64
install -c -m 4444 64/libvmdsp.so $LIB64/libvmdsp.so
for a in libvmdsp_esd.so libvmdsp_arts.so
do
  install -c -m 644 64/$a $LIB64/$a
done

# wrappers
install -c -d -m 755 /usr/bin/
install -c -m 755 vmwareesd /usr/bin/
install -c -m 755 vmwarearts /usr/bin/

trap - EXIT

echo ""
echo "If you are using ESD, you can start VMware Workstation with 'vmwareesd',"
echo "and if you are using aRts, you can start VMware Workstation with 'vmwarearts'."
echo ""
echo "Enjoy."
echo ""
